Bug 17420 - mgetty-1.1.22-1.6.x update logs wrong
mgetty-1.1.22-1.6.x update logs wrong
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mgetty (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
: 17466 17512 18133 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-12 05:21 EDT by Andreas J. Bathe
Modified: 2007-04-18 12:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: mgetty-1.1.31-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 19:25:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas J. Bathe 2000-09-12 05:21:59 EDT
After updating to the last mgetty-1.1.22-1.6.x on a standard 6.2
distribution the logs go into /var/log/messages, before they went into
/var/log/mgetty.log.tty* :

Sep 12 10:59:54 zerberus mgetty[862]: failed dev=ttyS4, pid=862, got signal
15, exiting
Sep 12 10:59:54 zerberus mgetty[898]: mgetty: experimental test release
1.1.22-Aug17: Success
Sep 12 10:59:54 zerberus mgetty[898]: can't create pid file
/var/run/mgetty.pid.ttyS4: File exists
Sep 12 10:59:54 zerberus mgetty[898]: check for lockfiles: File exists
Sep 12 10:59:54 zerberus mgetty[898]: locking the line: No such file or
directory
Sep 12 10:59:54 zerberus mgetty[863]: failed dev=ttyS5, pid=863, got signal
15, exiting
Sep 12 10:59:54 zerberus mgetty[899]: mgetty: experimental test release
1.1.22-Aug17: Success
Sep 12 10:59:54 zerberus mgetty[899]: can't create pid file
/var/run/mgetty.pid.ttyS5: File exists
Sep 12 10:59:54 zerberus mgetty[899]: check for lockfiles: File exists
Sep 12 10:59:54 zerberus mgetty[899]: locking the line: No such file or
directory
Sep 12 10:59:54 zerberus mgetty[864]: failed dev=ttyS6, pid=864, got signal
15, exiting
Sep 12 10:59:54 zerberus mgetty[900]: mgetty: experimental test release
1.1.22-Aug17: Success
Sep 12 10:59:54 zerberus mgetty[900]: can't create pid file
/var/run/mgetty.pid.ttyS6: File exists
Sep 12 10:59:54 zerberus mgetty[900]: check for lockfiles: File exists
Sep 12 10:59:54 zerberus mgetty[900]: locking the line: No such file or
directory
Sep 12 10:59:54 zerberus mgetty[865]: failed dev=ttyS7, pid=865, got signal
15, exiting
Sep 12 10:59:54 zerberus mgetty[901]: mgetty: experimental test release
1.1.22-Aug17: Success
Sep 12 10:59:54 zerberus mgetty[901]: can't create pid file
/var/run/mgetty.pid.ttyS7: File exists
Sep 12 10:59:54 zerberus mgetty[901]: check for lockfiles: File exists
Sep 12 10:59:54 zerberus mgetty[901]: locking the line: No such file or
directory
Sep 12 10:59:54 zerberus mgetty[898]: lowering DTR to reset Modem: No such
file or directory
Sep 12 10:59:54 zerberus mgetty[899]: lowering DTR to reset Modem: No such
file or directory
Sep 12 10:59:54 zerberus mgetty[900]: lowering DTR to reset Modem: No such
file or directory
Sep 12 10:59:54 zerberus mgetty[901]: lowering DTR to reset Modem: No such
file or directory
Sep 12 10:59:55 zerberus mgetty[898]: send: : No such file or directory
Sep 12 10:59:55 zerberus mgetty[898]: waiting for ``OK'': No such file or
directory
Sep 12 10:59:55 zerberus mgetty[899]: send: : No such file or directory
Sep 12 10:59:55 zerberus mgetty[899]: waiting for ``OK'': No such file or
directory
Sep 12 10:59:55 zerberus mgetty[900]: send: : No such file or directory
Sep 12 10:59:55 zerberus mgetty[900]: waiting for ``OK'': No such file or
directory
Sep 12 10:59:55 zerberus mgetty[901]: send: : No such file or directory
Sep 12 10:59:55 zerberus mgetty[901]: waiting for ``OK'': No such file or
directory
Sep 12 10:59:55 zerberus mgetty[898]: mdm_send: 'AT+FCLASS=2': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[899]: mdm_send: 'AT+FCLASS=2': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[900]: mdm_send: 'AT+FCLASS=2': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[901]: mdm_send: 'AT+FCLASS=2': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[898]: mdm_send: 'AT+FAA=0;+FCR=1': No such
file or directory
Sep 12 10:59:55 zerberus mgetty[899]: mdm_send: 'AT+FAA=0;+FCR=1': No such
file or directory
Sep 12 10:59:55 zerberus mgetty[900]: mdm_send: 'AT+FAA=0;+FCR=1': No such
file or directory
Sep 12 10:59:55 zerberus mgetty[901]: mdm_send: 'AT+FAA=0;+FCR=1': No such
file or directory
Sep 12 10:59:55 zerberus mgetty[898]: mdm_send: 'AT+FBOR=0': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[899]: mdm_send: 'AT+FBOR=0': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[900]: mdm_send: 'AT+FBOR=0': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[901]: mdm_send: 'AT+FBOR=0': No such file
or directory
Sep 12 10:59:55 zerberus mgetty[898]: mdm_send:
'AT+FLID="+49-30-726265211"': No such file or directory
Sep 12 10:59:55 zerberus mgetty[899]: mdm_send:
'AT+FLID="+49-30-726265211"': No such file or directory
Sep 12 10:59:55 zerberus mgetty[900]: mdm_send:
'AT+FLID="+49-30-726265211"': No such file or directory
Sep 12 10:59:55 zerberus mgetty[901]: mdm_send:
'AT+FLID="+49-30-726265211"': No such file or directory
Sep 12 10:59:55 zerberus mgetty[898]: mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0':
No such file or directory
Sep 12 10:59:55 zerberus mgetty[899]: mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0':
No such file or directory
Sep 12 10:59:55 zerberus mgetty[900]: mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0':
No such file or directory
Sep 12 10:59:55 zerberus mgetty[901]: mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0':
No such file or directory
Sep 12 10:59:56 zerberus mgetty[898]: waiting...: No such file or directory
Sep 12 10:59:56 zerberus mgetty[899]: waiting...: No such file or directory
Sep 12 10:59:56 zerberus mgetty[900]: waiting...: No such file or directory
Sep 12 10:59:56 zerberus mgetty[901]: waiting...: No such file or directory

Andreas J. Bathe
merconic GmbH, Berlin
Comment 1 Andreas J. Bathe 2000-09-12 05:40:25 EDT
An incoming fax produces this strange log (debug level is 4):

Sep 12 11:33:20 zerberus mgetty[898]: wfr: waiting for ``RING'': No such file or
directory
Sep 12 11:33:20 zerberus mgetty[899]: wfr: waiting for ``RING'': No such file or
directory
Sep 12 11:33:20 zerberus mgetty[898]: send: : Operation not permitted
Sep 12 11:33:20 zerberus mgetty[898]: waiting for ``CONNECT'': Operation not
permitted
Sep 12 11:33:20 zerberus mgetty[899]: send: : Operation not permitted
Sep 12 11:33:20 zerberus mgetty[899]: waiting for ``CONNECT'': Operation not
permitted
Sep 12 11:33:28 zerberus mgetty[898]: found action string: ``+FCON'': Operation
not permitted
Sep 12 11:33:28 zerberus mgetty[898]: start fax receiver...: Operation not
permitted
Sep 12 11:33:28 zerberus mgetty[898]: fax_wait_for(OK): Operation not permitted
Sep 12 11:33:30 zerberus mgetty[898]: fax_id: '+FTSI: "       0049304312069"':
Operation not permitted
Sep 12 11:33:30 zerberus mgetty[898]: transmission par.: '+FDCS:
0,3,0,2,0,0,0,3': Operation not permitted
Sep 12 11:33:31 zerberus mgetty[898]: fax_send: 'AT+FDR': No such file or
directory
Sep 12 11:33:31 zerberus mgetty[898]: fax_wait_for(CONNECT): No such file or
directory
Sep 12 11:33:34 zerberus mgetty[898]: transmission par.: '+FDCS:
0,3,0,2,0,0,0,3': No such file or directory
Sep 12 11:33:35 zerberus mgetty[898]: fax_get_page_data: receiving
/var/spool/fax/incoming/fn9bdf860S4-0049304312069.01...: No such file or
directory
Sep 12 11:33:56 zerberus mgetty[898]: fax_get_page_data: page end, bytes
received: 26151: No such file or directory
Sep 12 11:33:56 zerberus mgetty[898]: fax_wait_for(OK): No such file or
directory
Sep 12 11:33:56 zerberus mgetty[898]: page status: +FPTS: 1,2219,0,0: No such
file or directory
Sep 12 11:33:58 zerberus mgetty[898]: fax_send: 'AT+FDR': No such file or
directory
Sep 12 11:33:58 zerberus mgetty[898]: fax_wait_for(CONNECT): No such file or
directory
Sep 12 11:34:00 zerberus mgetty[898]: fax_get_page_data: receiving
/var/spool/fax/incoming/fn9bdf860S4-0049304312069.02...: No such file or
directory
Sep 12 11:34:07 zerberus mgetty[899]: found action string: ``+FHNG:'': Operation
not permitted
Sep 12 11:34:07 zerberus mgetty[899]: failed A_FAIL dev=ttyS5, pid=899,
caller='none', conn='', name=''
Sep 12 11:34:07 zerberus mgetty[1300]: mgetty: experimental test release
1.1.22-Aug17: Success
Sep 12 11:34:07 zerberus mgetty[1300]: can't create pid file
/var/run/mgetty.pid.ttyS5: File exists
Sep 12 11:34:07 zerberus mgetty[1300]: check for lockfiles: File exists
Sep 12 11:34:07 zerberus mgetty[1300]: locking the line: No such file or
directory
Sep 12 11:34:07 zerberus mgetty[1300]: lowering DTR to reset Modem: No such file
or directory
Sep 12 11:34:08 zerberus mgetty[1300]: send: : No such file or directory
Sep 12 11:34:08 zerberus mgetty[1300]: waiting for ``OK'': No such file or
directory
Sep 12 11:34:09 zerberus mgetty[1300]: mdm_send: 'AT+FCLASS=2': No such file or
directory
Sep 12 11:34:09 zerberus mgetty[1300]: mdm_send: 'AT+FAA=0;+FCR=1': No such file
or directory
Sep 12 11:34:09 zerberus mgetty[1300]: mdm_send: 'AT+FBOR=0': No such file or
directory
Sep 12 11:34:09 zerberus mgetty[1300]: mdm_send: 'AT+FLID="+49-30-726265211"':
No such file or directory
Sep 12 11:34:09 zerberus mgetty[1300]: mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0': No
such file or directory
Sep 12 11:34:09 zerberus mgetty[1300]: waiting...: No such file or directory
Sep 12 11:34:20 zerberus mgetty[898]: fax_get_page_data: page end, bytes
received: 24635: No such file or directory
Sep 12 11:34:20 zerberus mgetty[898]: fax_wait_for(OK): No such file or
directory
Sep 12 11:34:20 zerberus mgetty[898]: page status: +FPTS: 1,2219,0,0: No such
file or directory
Sep 12 11:34:22 zerberus mgetty[898]: fax_send: 'AT+FDR': No such file or
directory
Sep 12 11:34:22 zerberus mgetty[898]: fax_wait_for(CONNECT): No such file or
directory
Sep 12 11:34:25 zerberus mgetty[898]: connection hangup: '+FHNG: 0': No such
file or directory
Sep 12 11:34:25 zerberus mgetty[898]: fax dev=ttyS4, pid=898, caller='none',
name='', id='       0049304312069', +FHNG=000, pages=2/0, time=00:01:05 
Sep 12 11:34:26 zerberus mgetty[898]: mdm_send: 'ATH0': No such file or
directory
Sep 12 11:34:26 zerberus mgetty[1324]: mgetty: experimental test release
1.1.22-Aug17: Success
Sep 12 11:34:26 zerberus mgetty[1324]: can't create pid file
/var/run/mgetty.pid.ttyS4: File exists
Sep 12 11:34:26 zerberus mgetty[1324]: check for lockfiles: File exists
Sep 12 11:34:26 zerberus mgetty[1324]: locking the line: No such file or
directory
Sep 12 11:34:27 zerberus mgetty[1324]: lowering DTR to reset Modem: No such file
or directory
Sep 12 11:34:28 zerberus mgetty[1324]: send: : No such file or directory
Sep 12 11:34:28 zerberus mgetty[1324]: waiting for ``OK'': No such file or
directory
Sep 12 11:34:28 zerberus mgetty[1324]: mdm_send: 'AT+FCLASS=2': No such file or
directory
Sep 12 11:34:28 zerberus mgetty[1324]: mdm_send: 'AT+FAA=0;+FCR=1': No such file
or directory
Sep 12 11:34:28 zerberus mgetty[1324]: mdm_send: 'AT+FBOR=0': No such file or
directory
Sep 12 11:34:28 zerberus mgetty[1324]: mdm_send: 'AT+FLID="+49-30-726265211"':
No such file or directory
Sep 12 11:34:28 zerberus mgetty[1324]: mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0': No
such file or directory
Sep 12 11:34:28 zerberus mgetty[1324]: waiting...: No such file or directory

Sorry for that long additional comment
Andreas J. Bathe
merconic GmbH, Berlin
Comment 2 Petr Krištof 2000-09-15 08:39:25 EDT
AJB is right. Loggin mgetty messages to syslog is _pretty_ _stupid_ _idea_.
Comment 3 hchcheng 2000-09-15 09:30:17 EDT
After upgrading, I cannot get vgetty to answer a phone (it also logs messages to
/var/log/messages with the strange error messages reported above).
Comment 4 Bruce Garlock 2000-09-15 14:16:34 EDT
Well, I guess I'm not the only one with these same problems :-(
Looks like this release is broken.
Comment 5 Nalin Dahyabhai 2000-09-15 14:50:00 EDT
*** Bug 17466 has been marked as a duplicate of this bug. ***
Comment 6 Nalin Dahyabhai 2000-09-15 14:50:42 EDT
*** Bug 17512 has been marked as a duplicate of this bug. ***
Comment 7 Nalin Dahyabhai 2000-09-15 14:57:25 EDT
It looks like one of the bugs fixed in the errata was "fixed" a little too
zealously.  We'll have to issue a bugfix for it, but in the meantime, this
workaround should work with the older version:
1. make sure that  exists
2. make sure that it is owned by root
3. make sure that it is a regular file (i.e., not a symbolic link)
Because of the permissions set on /var/spool/fax/outgoing (specfically, the
sticky bit), this will have the same effect as applying a vendor-supplied
update.
Comment 8 Roderick A. Anderson 2000-09-18 18:57:00 EDT
I too have found this bug.  I'd like to see it upgraded from normal.  I've
wasted several hours trying to figure out why the debigging information I needed
for another issue wasn't in the mgetty.log.ttyX files.
   Security bug fixes shouldn't change unrelated behaviors in appliactions.  Nor
should RedHat be make such radical changes of applications.

Rod
Comment 9 Bruce Garlock 2000-09-18 20:48:33 EDT
Could you please repeat the steps to fix the security issue again?  It looks
like step 1 was cutoff:

1. make sure that  exists

What exists?

Any idea when the fix to the fix will be available?
Comment 10 Nalin Dahyabhai 2000-09-19 12:41:39 EDT
The file for the old version of the package should be named
/var/spool/fax/outgoing/.lastrun, and we're working on the fixes now.
Comment 11 Nalin Dahyabhai 2000-09-20 20:30:25 EDT
Test packages with fixes from Gert incorporated is now at
http://people.redhat.com/nalin/mgetty/.  The 2.5.x packages are for 5.x
machines, 2.6.x are for 6.x, and 3 is for Pinstripe.  Please let me know if
these solve the problems.
Comment 12 Bruce Garlock 2000-09-20 21:22:38 EDT
Umm, any reason why the mgetty configuration files are now in
/usr/etc/mgetty+sendfax??  All the previous releases had them in
/etc/mgetty+sendfax.  Here is a partial copy of my log:

09/20 21:13:43 yE1  vgetty: experimental test release 0.9.16 / 10Aug00
09/20 21:13:43 yE1  mgetty: experimental test release 1.1.22-Aug17
09/20 21:13:43 yE1  reading generic configuration from config file
/usr/etc/mgetty+sendfax/voice.conf
09/20 21:13:43 yE1  reading program vgetty configuration from config file
/usr/etc/mgetty+sendfax/voice.conf
09/20 21:13:43 yE1  reading port ttyE1 configuration from config file
/usr/etc/mgetty+sendfax/voice.conf
09/20 21:13:43 yE1  check for lockfiles
09/20 21:13:43 yE1  locking the line
09/20 21:13:44 yE1  lowering DTR to reset Modem
09/20 21:13:44 yE1  WARNING: obsolete setserial spd_hi/spd_vhi used, 38400 is
not real port speed
09/20 21:13:44 yE1  send: \dATQ0V1H0[0d]
09/20 21:13:45 yE1  waiting for ``OK'' ** found **
09/20 21:13:45 yE1  send: ATS0=0Q0&D3&C1[0d]
09/20 21:13:45 yE1  waiting for ``OK'' ** found **
09/20 21:13:45 yE1  mdm_send: 'ATI'
09/20 21:13:45 yE1  ZyXEL 1496 detected
09/20 21:13:45 yE1  mdm_send: 'ATI1'
09/20 21:13:45 yE1  additional info: 'U1496E  V 6.19 M  '
09/20 21:13:46 yE1  mdm_send: 'AT+FCLASS=2.0' -> OK
09/20 21:13:46 yE1  mdm_send: 'AT+FAA=1;+FCR=1' -> OK
09/20 21:13:46 yE1  mdm_send: 'AT+FBO=1' -> OK
09/20 21:13:46 yE1  mdm_send: 'AT+FNR=1,1,1,0' -> OK
09/20 21:13:46 yE1  mdm_send: 'AT+FLI="49 115 xxxxxxxx"' -> OK
09/20 21:13:46 yE1  mdm_send: 'AT+FCC=1,5,0,2,0,0,0,0' -> OK
09/20 21:13:46 yE1  detecting voice modem type
09/20 21:13:47 yE1  V250 modem detected
09/20 21:13:48 yE1  initializing V250 voice modem
09/20 21:13:48 yE1  vgetty: Modem returned ERROR
09/20 21:13:49 yE1  can't set silence threshold VSD
09/20 21:14:22 yE1  vgetty: timeout while reading character from voice modem

I guess if I make a symbolic link to the new directory, it might work, but I'd
rather see these files where they have always been.  

Thanks,
Bruce
Comment 13 Terry Griffin 2000-09-22 21:42:19 EDT
Also with this upgrade to mgetty, vgetty has ceased to function. As shown in the
logs submitted
already for mgetty it floods the log file with various error messages all ending
with "No such file or directory". To top it all off, it won't answer the dang
phone when it rings. 

Sep 22 18:25:14 chinook vgetty[2652]: vgetty: experimental test release 0.9.16 /
10Aug00: Success
Sep 22 18:25:14 chinook vgetty[2652]: mgetty: experimental test release
1.1.22-Aug17: Success
Sep 22 18:25:14 chinook vgetty[2652]: reading generic configuration from config
file /etc/mgetty+sendfax/voice.conf: Success
Sep 22 18:25:14 chinook vgetty[2652]: reading program vgetty configuration from
config file /etc/mgetty+sendfax/voice.conf: S
uccess
Sep 22 18:25:14 chinook vgetty[2652]: reading port modem configuration from
config file /etc/mgetty+sendfax/voice.conf: Succe
ss
Sep 22 18:25:14 chinook vgetty[2652]: can't create pid file
/var/run/mgetty.pid.modem: File exists
Sep 22 18:25:14 chinook vgetty[2652]: check for lockfiles: File exists
Sep 22 18:25:14 chinook vgetty[2652]: locking the line: No such file or
directory
Sep 22 18:25:14 chinook vgetty[2652]: lowering DTR to reset Modem: No such file
or directory
Sep 22 18:25:15 chinook vgetty[2652]: send: : No such file or directory
Sep 22 18:25:16 chinook vgetty[2652]: waiting for ``OK'': No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: send: : No such file or directory
Sep 22 18:25:16 chinook vgetty[2652]: waiting for ``OK'': No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'ATI': No such file or directory
Sep 22 18:25:16 chinook vgetty[2652]: Generic Rockwell modem (56000): No such
file or directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'ATI3': No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'ATI4': No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: additional info: 'a007840284C6002F': No
such file or directory
Sep 22 18:25:16 chinook vgetty[2652]: modem quirks: 0004: No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'AT+FCLASS=2': No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'AT+FCLASS=0': No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'AT+FAA=1;+FCR=1': No such file
or directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'AT+FBOR=0': No such file or
directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'AT+FLID="49 115 xxxxxxxx"': No
such file or directory
Sep 22 18:25:16 chinook vgetty[2652]: mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0': No
such file or directory
Sep 22 18:25:16 chinook vgetty[2652]: detecting voice modem type: No such file
or directory
Sep 22 18:25:18 chinook vgetty[2652]: V250 modem detected: No such file or
directory
Sep 22 18:25:18 chinook vgetty[2652]: vgetty: Modem returned ERROR: No such file
or directory
Sep 22 18:25:18 chinook vgetty[2652]: initializing V250 voice modem: No such
file or directory
Sep 22 18:25:19 chinook vgetty[2652]: vgetty: Modem returned ERROR: No such file
or directory
Sep 22 18:25:19 chinook vgetty[2652]: FCLASS=8: No such file or directory
Sep 22 18:25:19 chinook vgetty[2652]: vgetty: Modem returned ERROR: No such file
or directory
Sep 22 18:25:19 chinook vgetty[2652]: can't set silence threshold VSD: No such
file or directory
Sep 22 18:25:19 chinook vgetty[2652]: vgetty: Modem returned ERROR: No such file
or directory
Sep 22 18:25:19 chinook vgetty[2652]: can't set speaker volume: No such file or
directory
Sep 22 18:25:19 chinook vgetty[2652]: vgetty: Modem returned ERROR: No such file
or directory
Sep 22 18:25:19 chinook vgetty[2652]: can't set record volume: No such file or
directory
Sep 22 18:25:20 chinook vgetty[2652]: vgetty: Modem returned ERROR: No such file
or directory
Sep 22 18:25:20 chinook vgetty[2652]: vgetty: Modem returned ERROR: No such file
or directory
Sep 22 18:25:20 chinook vgetty[2652]: can't turn on hardware flow control: No
such file or directory
Sep 22 18:25:21 chinook vgetty[2652]: waiting...: No such file or directory
Sep 22 18:25:30 chinook vgetty[2652]: lock not made: lock file exists
(pid=1859): File exists
Comment 14 Bill Nottingham 2000-10-02 18:27:29 EDT
*** Bug 18133 has been marked as a duplicate of this bug. ***
Comment 15 Gabriele Turchi 2000-10-06 13:15:28 EDT
I've installed nalin's rpms (v. 3) on 7.0. The logs problem gone away, but my
US-Robotics-compatible modem is no more correctly detected (on mgetty-1.1.14-5
was detected as US-Robotics, now as V250 - and vgetty is no more able to do the
setup.)

[P.S.: I'm sorry, my english is in alpha version.]
Comment 16 Gabriele Turchi 2000-10-07 10:27:30 EDT
A little patch for V250 detection problem (from mgetty mailing list). It works
for me:

--- voice/libvoice/detect.c     Sat Oct  7 16:18:37 2000
+++ voice/libvoice/detect.c.new Sat Oct  7 16:20:23 2000
@@ -271,7 +271,7 @@
                s = buffer;
               while( isspace(*s) ) s++;
 
-              if (voice_command("AT+IFC=?", "ERROR") != OK)
voice_modem=&V250modem;
+              if (voice_command("AT+IFC=?", "ERROR") == OK)
voice_modem=&V250modem;
                /* if the modem not answers with error then it supports V250
commands */
                         
                for (i = 0; ((modem_database[i].at_cmnd != NULL) &&
Comment 17 Andreas J. Bathe 2001-01-26 02:03:30 EST
Nalin,

your mgetty release 1.1.22-2.6.x works better with our RAStel-PCI modem card
(formerly PCI-RAS). I only discovered the pid problem: The pid-files within
/var/run don't get uppdated when the next mgetty process starts after receiving
an incoming fax. Within messages there are warnings like
mgetty[1758]: can't create pid file /var/run/mgetty.pid.ttyS7: File exists

When will be RHSA-2000:059-02 from 11-Sep-2000 updated for Zoot??

Take care
Andreas J. Bathe
merconic GmbH
Comment 18 Andreas J. Bathe 2001-01-26 03:30:59 EST
BTW, the last release was mgetty1.1.24-Jan07.tar.gz
Comment 19 Jason Vas Dias 2004-08-25 19:25:05 EDT
Just clearing out old bugs here. 
This one definitely seems to be fixed.
Latest mgetty version is mgetty-1.1.31-2 .

Note You need to log in before you can comment on or make changes to this bug.